;;; init-eglot.el --- Configuración de eglot (LSP)   -*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;;; Code:

(use-package eglot
  :defer t
  :straight (:type built-in)
  :hook ((css-mode . eglot-ensure)
         (html-mode . eglot-ensure))
  :config
  (add-to-list 'eglot-server-programs '(php-mode . ("intelephense" "--stdio")))
  ;; (add-to-list 'eglot-server-programs '(css-mode . ("vscode-css-language-server" "--stdio")))
  ;; (add-to-list 'eglot-server-programs '(html-mode . ("vscode-html-language-server" "--stdio")))

  (add-hook 'eglot--managed-mode-hook (lambda () (flymake-mode -1)))
)

;; Emmet (mientras veo como hacer funcionar emmet-ls)
(use-package emmet-mode
  :defer t
  :straight t
  :hook
  ((html-mode . emmet-mode)
   (web-mode . emmet-mode))
  )

(provide 'init-eglot)
;;; init-eglot.el ends here
